EDIT - feature request #9301

SpecimenTypeDesignationEditor: Add fields for citation and citationDetail

11/13/2020 06:10 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.20

Severity: normal

Description

for all TypeDesignations where typeStatus.hasDesignationSource() == true field for citation and citationDetail need to be available.

As this will increase the width of the SpecimenTypeDesignationDTORow we will need a better list editor which allows for more

complex layouts per item.

Related issues:

Related to EDIT - bug #9290: stop setting Registration.citation as citation f... Closed
Related to EDIT - feature request #9408: SpecimenTypeDesignation collection e... New
Related to EDIT - bug #8140: Update list of type designation status which all... Closed
Has duplicate EDIT - feature request #9325: Enable section in specimen type d... Duplicate

Associated revisions

Revision 06db1b37 - 01/21/2021 12:45 PM - Andreas Kohlbecker

fix #9301 adding designationReference and detail to specimen type designation editor

Revision 5f44e659 - 01/21/2021 03:31 PM - Andreas Kohlbecker

ref #9301 extending init-strategy to include typeDesignation.source.*

Revision ff00d7e8 - 01/26/2021 02:15 PM - Andreas Kohlbecker

ref #9301 static helper method to find the nom. act of a registration

Revision 7e1a46e1 - 01/26/2021 02:16 PM - Andreas Kohlbecker

ref #9301 limiting designation sources to the publication unit and sub sections

History

#1 - 11/13/2020 06:10 PM - Andreas Kohlbecker

- Related to bug #9290: stop setting Registration.citation as citation for TypeDesignations in all type editors by default added

#2 - 01/20/2021 01:38 PM - Andreas Kohlbecker
- Description updated

- Target version changed from Unassigned CDM tickets to Release 5.19

#3 - 01/20/2021 01:39 PM - Andreas Kohlbecker
- Priority changed from New to Highest

#4 - 01/21/2021 12:45 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdm-vaadin|06db1b37a7f659fb7e18079700103f41b16bfd10.

#5 - 01/21/2021 12:51 PM - Andreas Kohlbecker

- Related to feature request #9408: SpecimenTypeDesignation collection editor with grid-form per item instead of looong rows added
#6 - 01/21/2021 12:52 PM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber
improvements to the layout will be done in #9408

The requested fields are now added and can be tested.

#7 - 01/22/2021 07:18 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 70

The fields are shown, if needed.

The selection of type status (all checked) in SpecimenTypDesignationEditor is fine,

except of the different treatment of paralectotype (enabled) and paraneotype (disabled).

Even though some persons designate paratypes, it is normally something, interpreted later, not designated by the authors. May be all paratypes
should be disabled for designation reference and detail.

The display in Vaadin as short citation (only family name(s) and year is fine.

See also review of #9290

Only the references in used in the Working set = Reference of the designation plus all sections within the Reference of the registration working set
should be available for selection, not more.

Problems arise when differing references are selected, or selected references of unpublished registrations have been changed (Validation errors, that
cannot be handled by users or curators).

#8 - 01/26/2021 02:13 PM - Andreas Kohlbecker
- Status changed from Resolved to In Progress

- % Done changed from 70 to 40

#9 - 01/29/2021 10:52 AM - Andreas Kohlbecker

- Target version changed from Release 5.19 to Release 5.21

#10 - 02/01/2021 10:32 AM - Andreas Kohlbecker

- Has duplicate feature request #9325: Enable section in specimen type designation added

#11 - 02/01/2021 10:34 AM - Andreas Kohlbecker
- Status changed from In Progress to Resolved

- % Done changed from 40 to 50

can be reviewed

#12 - 02/01/2021 10:54 AM - Andreas Kohlbecker

- Assignee changed from Andreas Kohlbecker to Wolf-Henning Kusber

#13 - 02/04/2021 07:32 PM - Wolf-Henning Kusber

- Assignee changed from Wolf-Henning Kusber to Andreas Kohlbecker

- % Done changed from 50 to 90

Works as expected.

paralectotype (enabled)-> reference should be disabled like the other paratypes (see above)
#14 - 02/05/2021 08:43 AM - Andreas Kohlbecker

- Status changed from Resolved to Closed

- % Done changed from 90 to 100

Wolf-Henning Kusber wrote:

Works as expected.
paralectotype (enabled)-> reference should be disabled like the other paratypes (see above)

The decision to treat paralectotypes that way has been made in #8140 and is "hard-coded" in the cdmlib. This ticket is still open. | am copying your
comment to that ticket.

#15 - 02/05/2021 08:45 AM - Andreas Kohlbecker

- Related to bug #8140: Update list of type designation status which allow an explicit source added

#16 - 02/05/2021 06:22 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.20
